#! /usr/bin/perl -w
# NOTES
#    - Lancez par exemple
#         ./open.pl /etc/motd /etc/resolv.conf
#    - Avanc: crez un fichier avec espaces, appelez p.ex.
#         ./open.pl "Fichier avec espaces"
#      et comparez la version  2 et 3 paramtres d'open ci-dessous

use strict;

foreach (@ARGV) {
   local(*FILE_HANDLE);

# pas recommand:   if (open(FILE_HANDLE, '<' . $_)) {
   if (open(FILE_HANDLE, '<', $_)) {
      my @lines = (<FILE_HANDLE>);

      print "Le fichier ", $_, " a ", scalar(@lines), " lignes.\n";

      if (!close(FILE_HANDLE)) {
         die("closing: " . $_ . ": " . $!);
      }
   }
   else {
      die("opening: " . $_ . ": " . $!);
  }
}

exit 0;

