#! /usr/bin/perl -w

use strict;

my $sender_regexp = 'A REMPLIR';
my $delivery_regexp = 'A REMPLIR';

my $result = 0; # SUCCESS
my $error_reason = "unknown";

my %messages;

sub dump_messages($$);

# BUGS
#    - only the last error will be shown

while (my $line = <STDIN>) {
   if ($line =~ /$sender_regexp/) {

      # ...

   }
   elsif ($line =~ /$delivery_regexp/) {

      # ...

   }
   else {
      print STDERR "tossing: ", $line, "\n";
      $result = 1; # FAILURE
      $error_reason = 'tossed unparseable lines';
   }
}

if ($result == 0) {
   my $msg = dump_messages(\%messages, \$error_reason);
   if (defined($msg)) {
      print $msg, "\n";
   }
   else {
      $result = 1; # FAILURE
      $error_reason = 'dump_messages() failed: ' . $error_reason;
   }
}

if ($result != 0) {
   print STDERR $0, ": failed: ", $error_reason, "\n";
}

exit $result;

