#! /usr/bin/perl -w
# NOTES
#    - Comparer le besoin d'chappement et lisez man CGI en consquence.

use strict;
use CGI;
use HTML::Entities;

my $message = <<EOF;
Ce message, provenant d'une base de donnes, peut ventuellement contenir
du <img src="http://www.truc.ch/tracker.pl" ALT=""> cross-scripting.
EOF

print "INCORRECT:", CGI::h1($message), "\n\n",
      "CORRECT:", CGI::h1(CGI::escapeHTML($message)), "\n\n",
      "CORRECT:", '<h1>', encode_entities($message), '</h1>', "\n\n",
      "CORRECT:", CGI::textfield($message), "\n\n";

exit 0;

