#! /usr/bin/perl -w -I. -I/usr/lib/gppds

# BUGS
#    - Might fail randomly because uses random values

use strict;
use fax_storage;

my $username = `whoami`;
chomp $username;

my $storer = new fax_storage('hostname' => 'localhost',
			     'dbname' => 'fax_storage',
			     'tablename' => 'fax',
			     'username' => $username,
			     'password' => 'demo'); # IDENT');
if (defined($storer)) {
   my $id = int(rand(1000));
   my $fname = '/tmp/blabla_' . $id;

   # Testons l'insertion d'un fax dans la DB
   if ($storer->add($id, $fname)) {
      # Testons la recherche
      if (my $file_name = $storer->retrieve($id)) {
         if ($fname eq $file_name) {
            # Testons la suppression
            if ($storer->remove($id)) {
               if (defined($storer->retrieve($id))) {
                  die;
               }
               else {
		  $storer->add($id, $fname) or die;
                  print "Ignore this error\n";
		  $storer->add($id, $fname) and die;
                  print "\n";
		  $storer->add($id . 'bla', $fname) or die;

                  # Testons le parcours
                  $storer->rewind();
                  while ((my ($the_id, $the_file_name)
                            = $storer->next())
                         && !$storer->eof()
                         && !$storer->in_error()) {
                     print $the_id, " -> ", $the_file_name, "\n";
                  }

                  $storer->in_error() && die;
               }
            }
            else {
               die;
            }
         }
         else {
            die;
         }
     }
      else {
         die;
      }
   }
   else {
      die;
   }

   undef $storer;
}
else {
   die;
}


