#! /usr/bin/perl -w

use strict;

use SOAP::Lite +autodispatch => 
  uri => 'http://www.soaplite.com/', 
# proxy => 'http://localhost/', 
# proxy => 'http://localhost/cgi-bin/soap.cgi', # local CGI server
# proxy => 'http://localhost/',                 # local daemon server
# proxy => 'http://localhost/soap',             # local mod_perl server
# proxy => 'https://localhost/soap',            # local mod_perl SECURE server
  proxy => 'tcp://localhost:8282',                # local tcp server
  on_fault => sub { my($soap, $res) = @_; 
    die ref $res ? $res->faultdetail : $soap->transport->status, "\n";
};

use facture;

my $f = facture->SOAP::new(42);

my $fact_ascii = $f->SOAP::facturation('ASCII');
if (defined($fact_ascii)) {
   print "facture: ", $fact_ascii, "\n";
}

undef $f;
