#! /usr/bin/perl -w

use strict;

use SOAP::Transport::TCP;

$SIG{PIPE} = $SIG{INT} = 'IGNORE'; # don't want to die on 'Broken pipe' or Ctrl-C

my $daemon = SOAP::Transport::TCP::Server
  -> new (LocalAddr => 'localhost', LocalPort => 8282, Listen => 5, Reuse => 1)
  -> objects_by_reference(qw(facture))
  -> dispatch_to('./');
;
print "Contact to SOAP server at ", join(':', $daemon->sockhost, $daemon->sockport), "\n";
$daemon->handle;
