#! /usr/bin/perl -w

use strict;
use CGI;

my $query = new CGI;

print $query->header;

if (defined($query->param('uploaded_file'))) {
   my $filename = $query->param('uploaded_file');

   print $query->start_html(-title=>   'File Uploaded'),
         $query->p, "You uploaded:", $query->escapeHTML($filename), $query->p,
         'Its content follows', $query->p, '<CODE>';

   my $safe_fh = $query->upload('uploaded_file');

   while (<$safe_fh>) {
      print $query->escapeHTML($_);
   }

   print "</CODE>",
	 $query->end_html();
}
else {
   print $query->start_html(-title=>   'File Upload'),
	 $query->start_multipart_form(),
	 $query->filefield(-name=>'uploaded_file',
				  -default=>'starting value',
				  -size=>50,
				  -maxlength=>80),
	 $query->submit,
	 $query->end_multipart_form(),
	 $query->end_html();
}
